module Lucky

# ==== Constants
include("Constants.jl")
using .Constants
export ORDER_SIDE

# ==== Financial types
include("Units.jl")
using .Units
export Unit, Currency
export symbol, currency

include("Ohlcs.jl")
using .Ohlcs
export Ohlc

include("Instruments.jl")
using .Instruments
export Instrument, Cash, Stock
export instrument

include("Quotes.jl")
using .Quotes
export Quote

include("Positions.jl")
using .Positions
export Position

# ==== Rocket Stuffs
include("operators/OhlcOperators.jl")
using .OhlcOperators
export ohlc

include("Blotters.jl")
using .Blotters

include("Strategies.jl")
using .Strategies
export AbstractStrategy

include("Orders.jl")
using .Orders
export AbstractOrder, LimitOrder, MarketOrder

include("Exchanges.jl")
using .Exchanges
export AbstractExchange, FakeExchange, FakePosition

end # module Lucky
